Subject: [Simple] Re: Simple Digest, Vol 41, Issue 5

From: "s200516914" <[email-masked]>
Date: Thu, 6 Sep 2007 14:48:24 +0200

Please don't send me e-mails anymore.

On Wed, 05 Sep 2007 12:01:38 -0400, simple-request wrote
> Send Simple mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www1.ietf.org/mailman/listinfo/simple
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Simple digest..."
> 
> Today's Topics:
> 
>    1. RE: VS: Re: [Simple] [MSRP chat] Issue 7: Syntax of Nickname
>       URI (Brian Rosen)
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Wed, 5 Sep 2007 08:20:56 -0400
> From: "Brian Rosen" <[email-masked]>
> Subject: RE: VS: Re: [Simple] [MSRP chat] Issue 7: Syntax of Nickname
> 	URI
> To: "'Hisham Khartabil'" <[email-masked]>
> Cc: [email-masked], 'Paul Kyzivat' <[email-masked]>,
> 	[email-masked],	[email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
> 
> I believe the current proposal from Paul, which I am happy with is:
> 
> >> - The MSRP nickname request be allowed with either just <name> or with
> 
> >>    <name>@<domain>.
> 
> >>
> 
> >> - The name-only form is a request to assign the name within
> 
> >>    a domain unique to the focus, for the duration of participation, and
> 
> >>    then associate it with the participant. This can fail if the name
> 
> >>    is already in use by a participant with a different identity.
> 
> >>
> 
> >> - The <name>@<domain> form requests that the focus verify with a
> 
> >>    server for the domain that the requester is allowed to use
> 
> >>    the nickname, and then associate it with the participant.
> 
> >>    This can fail if the focus doesn't support it, if it doesn't
> 
> >>    know how to do verification with that domain, or if verification
> 
> >>    fails.
> 
> >>
> 
> >> - Eventually there will be some other, more general, mechanism for
> 
> >>    doing temporary nickname assignment and nickname association,
> 
> >>    independent of MSRP. That is still TBD.
> 
> >>
> 
> >> - Nicknames don't appear in CPIM From/To headers. Instead, the
> 
> >>    sip contact address of the participant appears. If the user is
> 
> >>    anonymous, then a surrogate URI provided by the focus appears.
> 
> >>
> 
> >> - The association between nicknames and contact addresses is learned
> 
> >>    by each participant via an enhancement to the conference event
> 
> >>    package. The nicknames delivered this way always are of the
> 
> >>    <name>@<domain> form.
> 
> >>
> 
> >> - The chat UI is responsible for obtaining nicknames corresponding
> 
> >>    to received messages and rendering them in a user-friendly way.
> 
> >>    If this is burdensome, we could consider having the focus
> 
> >>    include the nickname as a display name in the CPIM From header.
> 
> >>    (I'm not wild about it, but it is a possible optimization.)
> 
> >From your position, it would seem we are asking for the "@domain" to be
> permitted in the nick request and conference roster, and that the contact
> URI is used in MSRP From/To.  Do you have an objection to that?
> 
> I'd be okay with saying MSRP chat doesn't define how "the focus 
> verify with a server for the domain that the requester is allowed to 
> use the nickname". That can be something the generalized mechanism supports.
> 
> Brian
> 
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: 
> 
http://www1.ietf.org/pipermail/simple/attachments/20070905/1a119106/attachment
-0001.html
> 
> ------------------------------
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 
> End of Simple Digest, Vol 41, Issue 5
> *************************************

--
Open WebMail Project (http://openwebmail.org)

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple